
Name:	 kdebindings
Summary: KDE bindings to non-C++ languages
Version: 3.5.10
Release: 1%{?dist}

License: GPLv2
Source0: ftp://ftp.kde.org/pub/kde/stable/%{version}/src/%{name}-%{version}.tar.bz2
URL:     http://developer.kde.org/language-bindings/ 
Group:   User Interface/Desktops
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

Patch1: kdebindings-3.5.6-libgcj.patch

BuildRequires: automake libtool
BuildRequires: desktop-file-utils
BuildRequires: kdelibs3-devel >= %{version}
BuildRequires: zlib-devel
BuildRequires: perl(ExtUtils::MakeMaker)
%define perl_ver        %{expand:%%(eval `perl -V:version`; echo $version)}
%define perl_vendorarch %{expand:%%(eval `perl -V:installvendorarch`; echo $installvendorarch)}
%define perl_vendorlib  %{expand:%%(eval `perl -V:installvendorlib`; echo $installvendorlib)}
%define perl_man3dir    %{expand:%%(eval `perl -V:installman3dir`; echo $installman3dir)}

Requires: kdelibs3 >= %{version}
Requires: kdebase3 >= %{version} 
Requires(post): /sbin/ldconfig
Requires(posun): /sbin/ldconfig

%define python_ver %{expand:%%(%{__python} -c "import sys ; print sys.version[:3]")}
%define python_sitearch %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib(1)")

## dcoppython
BuildRequires: python-devel
Provides: %{name}-dcoppython = %{version}-%{release}

## ruby
BuildRequires: ruby-devel >= 1.8, ruby
Provides: %{name}-ruby = %{version}-%{release}
%{!?ruby_sitelib: %define ruby_sitelib %(ruby -rrbconfig -e 'puts Config::CONFIG["sitelibdir"]')}
%{!?ruby_sitearch: %define ruby_sitearch %(ruby -rrbconfig -e 'puts Config::CONFIG["sitearchdir"]')}

## java
#BuildRequires: java-1.4.2-gcj-compat-devel libgcj-devel gcc-java
BuildRequires: java-devel >= 1.4.2
%define java_home %{_prefix}/lib/jvm/java
%define _with_java --with-java=%{java_home}
Provides: %{name}-java = %{version}-%{release}

%description
KDE/DCOP bindings to non-C++ languages

%package devel
Summary: Development files for %{name}
Group: Development/Libraries
Requires: %{name} = %{version}-%{release}
Requires: kdelibs3-devel 
%description devel
Development files for the KDE bindings.

## dcopperl
%package dcopperl
Summary: DCOP Bindings for Perl 
Group:   Development/Libraries
%description dcopperl
Perl bindings to the DCOP interprocess communication protocol used by KDE


%prep
%setup -q

%patch1 -p1 -b .libgcj

make -f admin/Makefile.common


%build
unset QTDIR || : ; source /etc/profile.d/qt.sh

unset JAVA_HOME ||:
%{?java_home:JAVA_HOME=%{java_home}; export JAVA_HOME}

# sip/PyQt/PyKDE built separately, not here
export DO_NOT_COMPILE="$DO_NOT_COMPILE python"

%configure \
  --includedir=%{_includedir}/kde \
  --disable-rpath \
  --enable-new-ldflags \
  --disable-debug --disable-warnings \
  --disable-dependency-tracking \
  --with-extra-libs=%{_libdir} \
  --disable-final \
  %{?_with_java} %{!?_with_java:--without-java} \
  %{?_enable_qscintilla} %{!?_enable_qscintilla:--disable-qscintilla}

pushd dcopperl
CFLAGS="$RPM_OPT_FLAGS" perl Makefile.PL INSTALLDIRS=vendor
make OPTIMIZE="$RPM_OPT_FLAGS" ||:
popd

# smoke/ not smp-safe
make -C smoke/
make %{?_smp_mflags} PYTHON=%{__python}


%install
rm -rf $RPM_BUILD_ROOT

make install DESTDIR=$RPM_BUILD_ROOT \
  PYTHON=%{__python}

desktop-file-install \
  --vendor="" \
  --add-category="Qt" \
  --add-category="KDE" \
  --add-category="Utility" \
  --dir $RPM_BUILD_ROOT%{_datadir}/applications/kde \
  $RPM_BUILD_ROOT%{_datadir}/applnk/Utilities/*.desktop ||:

## File lists
# perl
find $RPM_BUILD_ROOT -type f -a \( -name perllocal.pod -o -name .packlist \
  -o \( -name '*.bs' -a -empty \) \) -exec rm -f {} ';'

find $RPM_BUILD_ROOT%{perl_vendorarch} -type f -print | \
        sed "s@^$RPM_BUILD_ROOT@@g" >> %{name}-dcopperl.list
find $RPM_BUILD_ROOT%{perl_vendorlib} -type f -print | \
        sed "s@^$RPM_BUILD_ROOT@@g" >> %{name}-dcopperl.list
if [ "$(cat %{name}-dcopperl.list)X" = "X" ] ; then
    echo "ERROR: EMPTY FILE LIST"; exit 1
fi

# locale's
%find_lang %{name} || touch %{name}.lang
HTML_DIR=$(kde-config --expandvars --install html)
if [ -d $RPM_BUILD_ROOT$HTML_DIR ]; then
for lang_dir in $RPM_BUILD_ROOT$HTML_DIR/* ; do
  if [ -d $lang_dir ]; then
    lang=$(basename $lang_dir)
    echo "%lang($lang) $HTML_DIR/$lang/*" >> %{name}.lang
    # replace absolute symlinks with relative ones
    pushd $lang_dir
      for i in *; do
        [ -d $i -a -L $i/common ] && ln -nsf ../common $i/common
      done
    popd
  fi
done  
fi  

# rpmdocs
for dir in dcopperl dcoppython kalyptus %{?_with_java:kdejava qtjava} kjsembed korundum qtruby qtsharp smoke; do
  for file in AUTHORS ChangeLog README TODO ; do
    test -s  "$dir/$file" && install -p -m644 -D "$dir/$file" "rpmdocs/$dir/$file"
  done
done

%clean
rm -rf $RPM_BUILD_ROOT

%post
/sbin/ldconfig ||:
touch --no-create %{_datadir}/icons/hicolor ||:
gtk-update-icon-cache -q %{_datadir}/icons/hicolor 2> /dev/null ||:
update-desktop-database >& /dev/null ||:

%postun
/sbin/ldconfig ||:
touch --no-create %{_datadir}/icons/hicolor ||:
gtk-update-icon-cache -q %{_datadir}/icons/hicolor 2> /dev/null ||:
update-desktop-database >& /dev/null ||:


%files -f %{name}.lang
%defattr(-,root,root,-)
%doc AUTHORS COPYING README
%doc rpmdocs/*
%{_bindir}/*
%{_libdir}/kde3/*
%{_libdir}/lib*.la
%{_libdir}/lib*.so.*
%{_datadir}/appl*/*/*.desktop
%{_datadir}/apps/embedjs/
%{_datadir}/apps/kate/scripts/*
%{_datadir}/apps/kjsembed/
%{_datadir}/icons/hicolor/*/*/*
%{_datadir}/service*/*.desktop
%{_mandir}/man1/*
%{python_sitearch}/*
%{_libdir}/python%{python_ver}/*.py*
%if "%{?_with_java:1}" == "1"
%{_libdir}/java
%endif
%{ruby_sitearch}/*
%{ruby_sitelib}/K*
%{ruby_sitelib}/Qt*

%files dcopperl -f %{name}-dcopperl.list
%defattr(-,root,root,-)
%doc dcopperl/AUTHORS dcopperl/Changes dcopperl/README dcopperl/TODO
%{perl_man3dir}/DCOP.3pm.gz

%files devel
%defattr(-,root,root,-)
%{_includedir}/kde/*
%{_libdir}/lib*.so


%changelog
* Thu Sep 04 2008 Kevin Kofler <Kevin@tigcc.ticalc.org> - 3.5.10-1
- update to 3.5.10

* Fri Feb 15 2008 Rex Dieter <rdieter@fedoraproject.org> - 3.5.9-1
- kde-3.5.9

* Sat Oct 13 2007 Rex Dieter <rdieter[AT]fedoraproject.org> - 3.5.8-1
- kde-3.5.8

* Thu Aug 23 2007 Rex Dieter <rdieter[AT]fedoraproject.org> - 3.5.7-5
- smoke/ not smp-safe (using make -j)

* Sat Aug 11 2007 Rex Dieter <rdieter[AT]fedoraproject.org> - 3.5.7-4
- BR: kdelibs3-devel, perl(ExtUtils::MakeMaker)
- License: GPLv2

* Wed Aug 01 2007 Rex Dieter <rdieter[AT]fedoraproject.org> - 3.5.7-3
- -dcopperl: drop Provides: perl-DCOP , a versioned perl(DCOP) is there already.

* Mon Jun 18 2007 Rex Dieter <rdieter[AT]fedoraproject.org> - 3.5.7-2
- updated libgcl.patch

* Mon Jun 11 2007 Rex Dieter <rdieter[AT]fedoraproject.org> - 3.5.7-1
- 3.5.7

* Thu Mar 08 2007 Than Ngo <than@redhat.com> - 3.5.6-4
- cleanup specfile

* Wed Mar 07 2007 Rex Dieter <rdieter[AT]fedoraproject.org> 3.5.6-3
- move perl BR: bits up with the rest
- drop unused patch

* Tue Mar 06 2007 Rex Dieter <rdieter[AT]fedoraproject.org> 3.5.6-2
- update URL
- drop %%debug macro
- drop %%perl_install_root hack
- drop sip/PyQt/PyKDE optional inclusion
- Requires(post,postun): xdg-utils

* Tue Jan 16 2007 Rex Dieter <rdieter[AT]fedoraproject.org> 3.5.6-1
- kde-3.5.6

* Thu Oct 05 2006 Rex Dieter <rexdieter[AT]users.sf.net> 3.5.5-1
- 3.5.5

* Tue Jul 25 2006 Rex Dieter <rexdieter[AT]users.sf.net> 3.5.4-1
- kde-3.5.4

* Mon Jun 05 2006 Rex Dieter <rexdieter[AT]users.sf.net> 3.5.3-2.1
- cleanup for Extras
- %%doc: AUTHORS COPYING README, app docs (README, TODO, etc...)
- follow icon spec
- -dcopperl: subpkg, since kdesdk (now) Requires: perl(DCOP)
- -dcopperl: use perl's values of installman3dir,installvendorlib
- -dcoppython: enable even if not packaging sip/PyQt
- sip/PyQT/PyKDE: Provides -> Conflicts (to have the ability
  to install/use either one).
- add (virtual) Provides: %%name-{java,perl,python,ruby}

* Tue May 23 2006 Than Ngo <than@redhat.com> 3.5.2-2
- fix build problem with ruby

* Wed Apr 05 2006 Than Ngo <than@redhat.com> 3.5.2-1
- update to 3.5.2

* Fri Feb 10 2006 Jesse Keating <jkeating@redhat.com> - 3.5.1-1.2
- bump again for double-long bug on ppc(64)

* Tue Feb 07 2006 Jesse Keating <jkeating@redhat.com> - 3.5.1-1.1
- rebuilt for new gcc4.1 snapshot and glibc changes

* Fri Dec 09 2005 Jesse Keating <jkeating@redhat.com>
- rebuilt

* Tue Nov 29 2005 Than Ngo <than@redhat.com> 3.5.0-1
- 3.5 final

* Tue Oct 25 2005 Than Ngo <than@redhat.com> 3.4.92-1
- update to 3.5 beta2

* Mon Oct 10 2005 Than Ngo <than@redhat.com> 3.4.91-1
- update to 3.5 beta 1

* Tue Aug 09 2005 Than Ngo <than@redhat.com> 3.4.2-1
- update to 3.4.2

* Tue Jun 28 2005 Than Ngo <than@redhat.com> 3.4.1-1
- 3.4.1

* Fri Mar 18 2005 Than Ngo <than@redhat.com> 3.4.0-1
- 3.4.0

* Sat Mar 05 2005 Than Ngo <than@redhat.com> 3.4.0-0.rc1.2
- fix gcc4 build problem

* Mon Feb 28 2005 Than Ngo <than@redhat.com> 3.4.0-0.rc1.1
- KDE 3.4.0 rc1

* Tue Feb 22 2005 Than Ngo <than@redhat.com> 3.3.92-0.1
- KDE 3.4 beta2 

* Fri Dec 03 2004 Than Ngo <than@redhat.com> 3.3.2-0.1
- update to 3.3.2

* Fri Nov 19 2004 Than Ngo <than@redhat.com> 3.3.1-4
- add missing requires on python-abi

* Thu Nov 18 2004 Than Ngo <than@redhat.com> 3.3.1-3
- rebuilt against python 2.4

* Mon Oct 18 2004 Than Ngo <than@redhat.com> 3.3.1-2
- rebuilt

* Wed Oct 13 2004 Than Ngo <than@redhat.com> 3.3.1-1
- update to 3.3.1

* Fri Oct 08 2004 Than Ngo <than@redhat.com> 3.3.0-3
- add buildrequires on ruby and ruby-devel #135053

* Thu Sep 02 2004 Than Ngo <than@redhat.com> 3.3.0-2
- get rid of pyqt/sip, separates packages

* Mon Aug 23 2004 Than Ngo <than@redhat.com> 3.3.0-1
- update to 3.3.0 release

* Tue Aug 10 2004 Than Ngo <than@redhat.com> 3.3.0-0.1.rc2
- update to 3.3.0 rc2

* Mon Jun 21 2004 Than Ngo <than@redhat.com> 3.2.3-2
- build with -O0 on ia64, temporary gcc3.4 workaround 

* Sat Jun 19 2004 Than Ngo <than@redhat.com> 3.2.3-1
- update to 3.2.3

* Wed Jun 02 2004 Than Ngo <than@redhat.com> 3.2.2-2
- remove -O0 on ia64

* Tue Apr 13 2004 Than Ngo <than@redhat.com> 3.2.2-1
- 3.2.2 release

* Sun Mar 07 2004 Than Ngo <than@redhat.com> 3.2.1-1
- 3.2.1 release

* Tue Mar 02 2004 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Tue Feb 17 2004 Than Ngo <than@redhat.com> 3.2.0-1.4
- fix typo bug, _smp_mflags instead smp_mflags

* Fri Feb 13 2004 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Thu Feb 05 2004 Than Ngo <than@redhat.com> 3.2.0-0.3
- 3.2.0 release
- built against qt 3.3.0

* Mon Jan 19 2004 Than Ngo <than@redhat.com> 3.1.95-0.1
- KDE 3.2 RC1

* Mon Dec 01 2003 Than Ngo <than@redhat.com> 3.1.94-0.1
- KDE 3.2 Beta2

* Wed Nov 12 2003 Than Ngo <than@redhat.com> 3.1.93-0.1
- KDE 3.2 Beta1
- remove some unneeded patch files
- cleanup

* Tue Sep 30 2003 Than Ngo <than@redhat.com> 3.1.4-1
- 3.1.4

* Fri Aug 22 2003 Than Ngo <than@redhat.com> 3.1.3-2
- fix build problem with gcc 3.3

* Wed Aug 13 2003 Than Ngo <than@redhat.com> 3.1.3-1
- 3.1.3

* Wed Jun 25 2003 Than Ngo <than@redhat.com> 3.1.2-4
- rebuilt

* Wed Jun 04 2003 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Mon May 19 2003 Than Ngo <than@redhat.com> 3.1.2-2
- 3.1.2

* Fri May  2 2003 Than Ngo <than@redhat.com> 3.1.1-3
- remove unneeded patch file

* Wed Apr 30 2003 Elliot Lee <sopwith@redhat.com> 3.1.1-2
- headusage patch for ppc64

* Wed Mar 19 2003 Than Ngo <than@redhat.com> 3.1.1-1
- 3.1.1

* Fri Feb 21 2003 Than Ngo <than@redhat.com> 3.1-4
- get rid of gcc path from dependency_libs

* Wed Feb 19 2003 Elliot Lee <sopwith@redhat.com> 3.1-3
- Fix mozilla building/notbuilding to consistently use mozilla_archs macro
- Remove -O0 cflags from November

* Thu Jan 30 2003 Than Ngo <than@redhat.com> 3.1-2
- lib64'ize
- add fix to build kmozilla binding
- add correct python version

* Tue Jan 28 2003 Than Ngo <than@redhat.com> 3.1-1
- 3.1 release
- cleanup specfile

* Thu Jan 23 2003 Tim Powers <timp@redhat.com> 3.1-0.6
- rebuild

* Mon Jan 13 2003 Thomas Woerner <twoerner@redhat.com> 3.1-0.4
- rc6
- ssl uses krb5

* Tue Dec  3 2002 Tim Powers <timp@redhat.com> 3.1-0.3
- lib64'ize

* Sat Nov 30 2002 Than Ngo <than@redhat.com> 3.1-0.2
- build with -O0 on ia64 x86_64 temporary
- get rid of sub packages

* Thu Nov 28 2002 Than Ngo <than@redhat.com> 3.1-0.1
- update to 3.1 rc4

* Sun Nov 10 2002 Than Ngo <than@redhat.com> 3.0.5-1
- update to 3.0.5

* Thu Nov  7 2002 Than Ngo <than@redhat.com> 3.0.4-2
- cleaned up specfile

* Tue Oct 15 2002 Than Ngo <than@redhat.com> 3.0.4-1
- 3.0.4

* Thu Sep 19 2002 Than Ngo <than@redhat.com> 3.0.3-1.1
- Added missing requires kdelibs-devel in kdebindings-devel (bug #73992)
- Fixed typo bug (bug #51669)
- Added Buildprereq arts-devel instead kdelibs-sound
- Fixed to build on s390/s390x/x86_64

* Mon Aug 12 2002 Than Ngo <than@redhat.com> 3.0.3-1
- 3.0.3
- build using gcc-3.2-0.3

* Mon Jul 22 2002 Tim Powers <timp@redhat.com> 3.0.2-3
- rebuild using gcc-3.2-0.1

* Fri Jul 12 2002 Than Ngo <than@redhat.com> 3.0.2-2
- 3.0.2

* Fri Jun 14 2002 Bernhard Rosenkraenzer <bero@redhat.com> 3.0.2-0.cvs20020614
- Update to current stable branch to make it work with Qt 3.0.4
- Enable building Java bindings (with jdkgcj)

* Thu May 23 2002 Tim Powers <timp@redhat.com>
- automated rebuild

* Wed Mar 27 2002 Bernhard Rosenkraenzer <bero@redhat.com> 3.0.0-1
- 3.0.0 final
- Disable building C, Java and Objective-C bindings for now, they require
  a real C++ compiler rather than a something-between-C-and-C++-compiler

* Mon Feb 18 2002 Bernhard Rosenkraenzer <bero@redhat.com> 3.0.0-0.cvs20020218.1
- Update
- Another try at getting the Qt Java bindings to build and actually work with
  gcj.

* Thu Jan 31 2002 Tim Powers <timp@redhat.com>
- rebuilt to solve deps on kdelibs
- don't build kmozilla package for ia64

* Wed Jan 30 2002 Bernhard Rosenkraenzer <bero@redhat.com> 3.0.0-0.cvs20020130.1
- Update
- Get the qt java bindings to build with gcj
- Temporarily disable building KDE-C, KDE-Java, DCOP-perl and DCOP-python
  bindings; they don't compile.

* Mon Jul 23 2001 Bernhard Rosenkraenzer <bero@redhat.com> 2.2-0.cvs20010723.2
- Move python bindings to separate package
- Add perl bindings
- Shut up rpmlint

* Wed Feb 21 2001 Bernhard Rosenkraenzer <bero@redhat.com>
- 2.1

* Sun Jan 28 2001 Bernhard Rosenkraenzer <bero@redhat.com>
- initial RPM
